TAR(1)

NAVN
tar - et arkivredskab

SYNOPSIS

  Traditionel brug
tar {A|c|d|r|t|u|x}[GnSkUWOmpsMBiajJzZhPlRvwo] [ARGUMENTER...]

  Brug i UNIX-stil

tar -A [OPTIONS] -f ARCHIVE ARCHIVE...

tar -c [-f ARKIV] [FLAG] [FIL...]

tar -d [-f ARKIV] [FLAG] [FIL...]

tar -r [-f ARKIV] [FLAG] [FIL...]

tar -t [-f ARKIV] [FLAG] [MEDLEM...]

tar -u [-f ARKIV] [FLAG] [FIL...]

tar -x [-f ARKIV] [FLAG] [MEDLEM...]

  Brug i GNU-stil

tar {--catenate|--concatenate} [OPTIONS] --file ARCHIVE ARCHIVE...

tar --create [--file ARKIV] [FLAG] [FIL...]

tar {--diff|--compare} [--file ARKIV] [FLAG] [FIL...]

tar --delete [--file ARKIV] [FLAG] [MEDLEM...]

tar --append [--file ARCHIVE] [OPTIONS] [FILE...]

tar --list [--file ARCHIVE] [OPTIONS] [MEMBER...]

tar --test-label [--file ARKIV] [FLAG] [ETIKET...]

tar --update [--file ARKIV] [FLAG] [FIL...]

tar {--extract|--get} [--file ARCHIVE] [OPTIONS] [MEMBER...]

BEMÆRK
Denne manualside er en kort beskrivelse af GNU tar. For en detaljeret diskussion, inklusive eksempler og anbefalinger om brug, så se GNU Tar Manual tilgængelig i formatet texinfo. Hvis info-læseren og tar-dokumentationen er korrekt installeret på dit system, så vil kommandoen

    info tar

give dig adgang til den fulde manual.

Du kan også se manualen via info-tilstanden i emacs(1), eller finde den i forskellige formater på internettet

    https://www.gnu.org/software/tar/manual

Hvis der opstår forskel mellem denne manualside og GNU Tar Manual, så er den sidst nævnte den autoritative kilde.

BESKRIVELSE
GNU tar er et arkivprogram designet til at lagre store filer i en enkel fil (et archive), og til at manipulere sådanne arkiver. Arkivet kan enten være en normal fil eller en enhed (f.eks. en båndoptager, deraf navnet på programmet, der står for tape archiver), der kan befinde sig enten på en lokal eller en ekstern maskine.

  Stil for tilvalg
Options to GNU tar can be given in three different styles. In traditional style, the first argument is a cluster of option letters and all subsequent arguments supply arguments to those options that require them. The arguments are read in the same order as the option letters. Any command line words that remain after all options have been processed are treated as non-option arguments: file or archive member names.

For example, the c option requires creating the archive, the v option requests the verbose operation, and the f option takes an argument that sets the name of the archive to operate upon. The following command, written in the traditional style, instructs tar to store all files from the directory /etc into the archive file etc.tar, verbosely listing the files being archived:

    tar cfv etc.tar /etc

In UNIX or short-option style, each option letter is prefixed with a single dash, as in other command line utilities. If an option takes an argument, the argument follows it, either as a separate command line word, or immediately following the option. However, if the option takes an optional argument, the argument must follow the option letter without any intervening whitespace, as in -g/tmp/snar.db.

Any number of options not taking arguments can be clustered together after a single dash, e.g. -vkp. An option that takes an argument (whether mandatory or optional) can appear at the end of such a cluster, e.g. -vkpf a.tar.

Eksemplet på kommandoen overfor skrevet i short-option style kunne se således ud:

    tar -cvf etc.tar /etc
eller
    tar -c -v -f etc.tar /etc

I GNU eller long-option style begynder hvert tilvalg med to bindestreger og har et meningsfyldt navn, bestående af små bogstaver og bindestreger. Når brugt, kan det lange tilvalg forkortes til sine initialer, så længe at dette ikke skaber tvetydighed. Argumenter for lange tilvalg angives enten som et separat kommandolinjeord, umiddelbart efter tilvalget, eller adskilt fra tilvalget med et lig med-tegn uden nogen mellemliggende mellemrum. Valgfrie argumenter skal altid bruge den sidstnævnte metode.

Her er flere måder at skrive eksemplet på kommandoen i denne stil:

    tar --create --file etc.tar --verbose /etc
eller (forkortelse af nogle tilvalg):
    tar --cre --file=etc.tar --verb /etc

Tilvalgene i alle tre stile kan blandes, selvom det ikke anbefales for gamle tilvalg.

  Operationstilstand
The options listed in the table below tell GNU tar what operation it is to perform. Exactly one of them must be given. The meaning of non-option arguments depends on the operation mode requested.

-A, --catenate, --concatenate
    Append archives to the end of another archive. The arguments are treated as the names of archives to append. All archives must be of the same format as the archive they are appended to, otherwise the resulting archive might be unusable with non-GNU implementations of tar. Notice also that when more than one archive is given, the members from archives other than the first one will be accessible in the resulting archive only when using the -i (--ignore-zeros) option. Komprimerede arkiver kan ikke sammenkædes.

-c, --create
    Opret et nyt arkiv. Argumenter leverer navnene for filerne, der skal arkiveres. Mapper arkiveres rekursivt, med mindre tilvalget --no-recursion er angivet.

-d, --diff, --compare
    Find forskelle mellem arkiv- og filsystem. Argumenterne er valgfrie og angiver hvilke arkivmedlemmer, der skal sammenlignes. Hvis ikke angivet bruges den nuværende arbejdsmappe.

--delete
    Slet fra arkivet. Argumenterne leverer navnene på arkivmedlemmerne, der skal fjernes. Mindst et argument skal angives. Dette tilvalg fungerer ikke på komprimerede arkiver. Der er intet tilsvarende kort tilvalg.

-r, --append
    Tilføj filer til slutningen af et arkiv. Argumenter har den samme mening som for -c (--create).

-t, --list
    Viser indholdet af et arkiv. Argumenter er valgfrie. Når anført, så angiver de navnene for medlemmerne at vise.

--test-label
    Test volumeetiketten for arkivet og afslut. Når brugt uden argumenter, så udskrives volumeetiketten (hvis den findes) og der afsluttes med status 0. Når et eller flere kommandolinjeargumenter er angivet. tar sammenligner volumeetiketten med hvert argument. Der afsluttes med kode 0 hvis et match findes og ellers med kode 1. Intet resultat vises, med mindre brugt sammen med tilvalget -v (--verbose). Der er ikke en kort udgave, der svarer til dette tilvalg.

-u, --update
    Append files which are newer than the corresponding copy in the archive. Arguments have the same meaning as with the -c and -r options. Notice, that newer files don't replace their old archive copies, but instead are appended to the end of archive. The resulting archive can thus contain several members of the same name, corresponding to various versions of the same file.

-x, --extract, --get
    Udtræk filer fra et arkiv. Argumenter er valgfrie. Når angivet, så er de navnene på arkivmedlemmer, der skal udtrækkes.

--show-defaults
    Show built-in defaults for various tar options and exit.

-?, --help
    Display a short option summary and exit.

--usage
    Display a list of available options and exit.

--version
    Viser programversion og information om ophavsret og afslutter.

TILVALG

  Ændringer til handling

--check-device
    Kontroller enhedsnumre når trinvise arkiver oprettes (standard).

-g, --listed-incremental=FIL
    Handle new GNU-format incremental backups. FILE is the name of a snapshot file, where tar stores additional information which is used to decide which files changed since the previous incremental dump and, consequently, must be dumped again. If FILE does not exist when creating an archive, it will be created and all files will be added to the resulting archive (the level 0 dump). To create incremental archives of non-zero level N, you need a copy of the snapshot file created for level N-1, and use it as FILE. When listing or extracting, the actual content of FILE is not inspected, it is needed only due to syntactical requirements. It is therefore common practice to use /dev/null in its place.

--hole-detection=METODE
    Brug METODE til at registrere huller i rumlige filer. Dette tilvalg indebærer --sparse. Gyldige værdier for METODE er seek og raw. Standarden er seek med raw som reserve, når den første ikke kan bruges.

-G, --incremental
    Håndter det gamle GNU-format for inkrementel sikkerhedskopiering.

--ignore-failed-read
    Afslut ikke med fejlslutstatus p.g.a. filer, der ikke kan læses.

--level=NUMMER
    Set dump level for a created listed-incremental archive. Currently only --level=0 is meaningful: it instructs tar to truncate the snapshot file before dumping, thereby forcing a level 0 dump.

-n, --seek
    Antag at der kan søges i arkivet. Normalt bestemmer tar automatisk om der kan søges i arkivet eller ej. Dette tilvalg er lavet for brug i tilfælde af, at en sådan genkendelse fejler. Har kun effekt hvis arkivet er åben for læsning (f.eks. med tilvalgene --list eller --extract).

--no-check-device
    Kontroller ikke enhedsnumre når inkrementelle arkiver oprettes.

--no-seek
    Antag at arkivet ikke er søgbart.

--occurrence[=NUMMER]
    Behandl kun den n. forekomst af hver fil i arkivet. Dette flag er kun gyldigt med en af de følgende underkommandoer: --delete, --diff, --extract eller --list og når en liste af filer angives enten på kommandolinjen eller med flaget -T. Standardværdi for N er 1.

--restrict
    Begræns brugen af potentielt farlige flag.

--sparse-version=ØVRE[.NEDRE]
    Set which version of the sparse format to use. This option implies --sparse. Valid argument values are 0.0, 0.1, and 1.0. For a detailed discussion of sparse formats, refer to the GNU Tar Manual, appendix D, "Sparse Formats". Using the info reader, it can be accessed running the following command: info tar 'Sparse Formats'.

-S, --sparse
    Håndter rumlige filer effektivt. Nogle filer i filsystemet kan have segmenter der aldrig skrives (ret ofte er disse databasefiler oprettet af systemer som DBM). Når det tilvalg angives vil tar forsøge at bestemme om filen er rumlig før den arkiveres, og hvis ja, så reducere arkivets størrelse ved ikke at dumpe tomme dele af filen.

  Kontroller overskrivning
Dise tilvalgkontrollerer tar-handlinger når en fil udtrækkes over en eksisterende kopi på disk.

-k, --keep-old-files
    Erstat ikke eksisterende filer ved udpakning.

--keep-newer-files
    Erstat ikke eksisterende filer som er nyere end de, som findes i arkivet.

--keep-directory-symlink
    Bevar eksisterende symlinker til kataloger ved udpakning.

--no-overwrite-dir
    Bevar eksisterende katalogers metadata.

--one-top-level[=MAPPE]
    Udtræk alle filer i MAPPE, eller, hvis brugt uden argument, til en undermappe navngivet af basisnavnet for arkivet (minus komprimeringssuffiks genkendt af --auto-compress).

--overwrite
    Overskriv eksisterende filer ved udpakning.

--overwrite-dir
    Overskriv metadata for eksisterende kataloger ved udpakning (standardværdi).

--recursive-unlink
    Fjern rekursivt alle filer i mappen før den udpakkes.

--remove-files
    Fjern filer efter de blev tilføjet til arkivet.

--skip-old-files
    Erstat ikke eksisterende filer ved udpakning, skip over dem uden meddelelser.

-U, --unlink-first
    Fjern hver eksisterende fil inden en ny udpakkes oven i den.

-W, --verify
    Verificer arkivet efter det blev skrevet.

  Vælg uddatastrøm

--ignore-command-error
    Ignorer underprocessers slutstatus.

--no-ignore-command-error
    Behandl slutstatus fra underprocesser bortset fra 0 som fejl (standardværdi).

-O, --to-stdout
    Udpak filer til standard-ud.

--to-command=KOMMANDO
    Send udtrukne filer via en datakanal til KOMMANDO. Argumenterne er stinavnet for et eksternt program, valgfrit med kommandolinjeargumenter. Programmet vil blive igangsat og indholdet af filen udtrukket til den på standardud. Yderligere data vil blive angivet via de følgende miljøvariabler:

    TAR_FILETYPE
        Filtype. Det er et enkelt bogstav med den følgende betydning:

        	f	Normal fil
        	d	Mappe
        	l	Symbolsk henvisning
        	h	Hård lænke
        	b	Blokenhed
        	c	Tegnenhed
        I øjeblikket er kun normale filer understøttet.

    TAR_MODE
        Filtilstand, et oktal tal.

    TAR_FILENAME
        Navnet på filen.

    TAR_REALNAME
        Navnet på filen som lagret i arkivet.

    TAR_UNAME
        Navnet på filejeren.

    TAR_GNAME
        Navnet på filejergruppen.

    TAR_ATIME
        Tid for sidste adgang. Det er et decimaltal, der repræsenterer sekunder siden Epoch'en. Hvis arkivet tilbyder tid med nanosekundpræcision så tilføjes nanosekunderne til tidsstemplet efter et decimaltegn.

    TAR_MTIME
        Tidspunkt for sidste ændring.

    TAR_CTIME
        Tidspunkt for sidste statusændring.

    TAR_SIZE
        Størrelsen på filen.

    TAR_UID
        UID'en for filejeren.

    TAR_GID
        GId'en for filejeren.
    Derudover indeholde de følgende variabler information om operationstilstanden for tar og arkivet under behandling:

    TAR_VERSION
        Versionnummer for GNU tar.

    TAR_ARCHIVE
        Navnet på arkivet som tar behandler.

    TAR_BLOCKING_FACTOR
        Nuværende blokerende faktor, dvs. nummeret for 512-byte blokke i en post.

    TAR_VOLUME
        Ordinal nummer for volumeen som tar behandler (angiv hvis et arkiv med flere volumeer læses).

    TAR_FORMAT
        Formatet for arkivet under behandling. En af: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        Et kort tilvalg (med en foranstillet streg) der beskriver operationen tar udfører.

  Håndtering af filattributter

--atime-preserve[=METODE]
    Preserve access times on dumped files, either by restoring the times after reading (METHOD=replace, this is the default) or by not setting the times in the first place (METHOD=system).

--delay-directory-restore
    Udsæt angivelse af modifikationstider og rettigheder på udpakkede mapper til slutningen på arkivudpakningen. Brug dette tilvalg når der udtrækkes fra et arkiv, der har en usædvanlig medelemsrækkefølge.

--group=NAVN[:Gruppe-ID]
    Tvangssæt NAVN som gruppe for tilføjede filer. Hvis GID ikke er angivet, kan NAVN enten være et brugernavn eller en numerisk GID. I dette tilfælde vil den manglende del (GID eller navn) blive arvet fra den nuværende værts gruppedatabase. Når brugt med --group-map=FIL, påvirker kun de filer hvis ejergruppe ikke er anført i FIL.

--group-map=FIL
    Læs gruppeoversættelseskort fra FIL. Tomme linjer ignoreres. Kommentarer introduceres med tegnet # og udvides til slutningen af linjen. Hver linje, der ikke er tom, i FIL definerer oversættelse for en enkel gruppe. Den skal indholde mindst to felter, afgrænset af mellemrum:
        GMLGRP NYGRP[:NYGID]
    GMLGRP er enten et gyldigt gruppenavn eller en GID med præfikset +. Med mindre at NYGID er angivet, så skal NYGRP også være enten et gyldigt gruppenavn eller en +GID. Ellers må både NYGRP og NYGID ikke være anført i systemgruppedatabasen. Det medfører at hver fil med ejergruppe GMLGRP vil blive lagret i arkivet med ejergruppe NYGRP og GID NYGID.

--mode=RETTIGHEDER
    Sæt symbolske RETTIGHEDER for tilføjede filer.

--mtime=DATO-ELLER-FIL
    Angiv mtime (ændringstidspunkt) på tilføjede filer. DATO-ELLER-FIL er enten en dato eller et tidspunkt i næsten arbitrært format, eller navne på en eksisternede fil. I det sidste tilfælde vil mtime for den fil blive anvendt.

-m, --touch
    Udpak ikke filers modificeringstid.

--no-delay-directory-restore
    Fjern effekten af flaget --delay-directory-restore.

--no-same-owner
    Udpak filer med dig selv som ejer (standardværdi for almindelige brugere).

--no-same-permissions
    Anvend brugerens umask når rettigheder udpakkes fra arkivet (standardværdi for almindelige brugere).

--numeric-owner
    Brug altid tal for bruger- og gruppnavn.

--owner=NAVN[:Bruger-ID]
    Tvangssæt NAVN som ejer for tilføjede filer. Hvis UID ikke er angivet, kan NAVN være enten et brugernavn eller en numerisk UID. I dette tilfælde vil den manglende del (UID eller navn) blive arvet fra den nuværende værts brugerdatabase. Når brugt med --owner-map=FIL, så påvirkes kun de filer, hvis ejer ikke er angivet i FIL.

--owner-map=FIL
    Læs ejeroversættelseskort fra FIL. Tomme linjer ignoreres. Kommentarer introduceres med tegnet # og udvides til slutningen af linjen. Hver linje, der ikke er tom, i FIL definerer oversættelse for en enkel UID. Den skal bestå at mindst to felter, afgrænset af mellemrum:
        GMLBRUGER NYBRUGER[:NYUID]
    GMLBRUGER er enten et gyldigt brugernavn eller en UID med præfikset +. Med mindre NYUID angives skal NYBRUGER også enten været et gyldigt brugernavn eller en +UID. Ellers skal både NYBRUGER og NYUID ikke være angivet i systembrugerdatabasen. Som et resultat vil hver fil ejet af GMLBRUGER blive lagret i arkivet med ejernavnet NYBRUGER og UID NYUID.

-p, --preserve-permissions, --same-permissions
    Set permissions of extracted files to those recorded in the archive (default for superuser).

--same-owner
    Forsøg at udpakke filer til samme ejere som i arkivet (standardværdi for superbrugeren).

-s, --preserve-order, --same-order
    Tell tar that the list of file names to process is sorted in the same order as the files in the archive.

--sort=ORDEN
    Når et arkiv oprettes, sorter mappeelementer jævnfør ORDER, der er en af none, name eller inode. Standarden er --sort=none, der lagrer arkivmedlemmer i den samme rækkefølge som returneret af operativsystemet. Brug af --sort=name sikrer at medlemsrækkefølgen i det oprettede arkiv er ensartet og reproducerbar. Brug af --sort=inode reducerer antallet af disksøgninger lavet når arkivet oprettes og kan derfor øge hastigheden på arkiveringen. Denne sorteringsrækkefølge er kun understøttet hvis det underliggende system tilbyder den nødvendige information.

  Udvidede filattributter

--acls
    Aktiver understøttelse for POSIX ACL-er.

--no-acls
    Deaktiver understøttelse for POSIX ACL-er.

--selinux
    Aktiver understøttelse for SELinux kontekster.

--no-selinux
    Deaktiver understøttelse for SELinux kontekster.

--xattrs
    Aktiver understøttelse for udvidede filattributter.

--no-xattrs
    Deaktiver understøttelse for udvidede filattributter.

--xattrs-exclude=MØNSTER
    Specify the exclude pattern for xattr keys. PATTERN is a globbing pattern, e.g. --xattrs-exclude='user.*' to include only attributes from the user namespace.

--xattrs-include=MØNSTER
    Specify the include pattern for xattr keys. PATTERN is a globbing pattern.

  Enhedsvalg og enhedsskift

-f, --file=ARKIV
    Brug arkivfil eller enhed ARKIV. Hvis dette tilvalg ikke er angivet, vil tar først undersøge mijøvariablen »TAPE«. Hvis denne er oplyst, vil dens værdi blive brugt som arkivnavnet. Ellers vil tar antage den indkompilerede standard. Standardværdien kan inspiceres enten via tilvalget --show-defaults, eller i slutningen af resultatet for tar --help. Et arkivnavn der har et kolon i sig, der specificerer en fil eller en enhed på en ekstern maskine. Delen før kolonnet bruges som maskinnavnet eller IP-adressen, og delen efter kolonnet som filen eller enhedsstinavnet, f.eks.:
        --file=remotehost:/dev/sr0
    Et valgfrit brugernavn kan foranstilles til værtsnavnet, med placering af et @-tegn mellem dem. Som standard tilgås den eksterne vært via rsh(1)-kommandoen. Nutildags er det normalt at bruge ssh(1) i stedet for. Du kan gøre dette ved at angive det følgende tilvalg på kommandolinjen:
        --rsh-command=/usr/bin/ssh
    Den eksterne maskine skal have rmt(8)-kommandoen installeret. Hvis dets stinavn ikke matcher tars standard, så kan du informere tar om det korrekte stinavn via tilvalget --rmt-command.

--force-local
    Arkivfilen er lokal selv om navnet har et kolon.

-F, --info-script=KOMMANDO, --new-volume-script=KOMMANDO
    Afvikl KOMMANDO i slutningen af hvert bånd (indebærer -M). Kommandoen kan inkludere argumenter. Når startet vil den arve tar's miljø samt de følgende variabler:

    TAR_VERSION
        Versionnummer for GNU tar.

    TAR_ARCHIVE
        Navnet på arkivet som tar behandler.

    TAR_BLOCKING_FACTOR
        Nuværende blokerende faktor, dvs. nummeret for 512-byte blokke i en post.

    TAR_VOLUME
        Ordinal nummer for volumeen som tar behandler (angiv hvis et arkiv med flere volumeer læses).

    TAR_FORMAT
        Formatet for arkivet under behandling. En af: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        Et kort tilvalg (med en foranstillet streg) der beskriver operationen tar udfører.

    TAR_FD
        Fildeskriptor der kan bruges til at kommunikere det nye delarkivnavn til tar.
    Hvis info-skriptet fejler afsluttes tar; ellers begynder det at skrive næste delarkiv.

-L, --tape-length=N
    Skift bånd efter skrivning af Nx1024 byte. Hvis N følges af et størrelsessuffiks (se underafsnittet Size suffixes nedenfor), suffikset angiver den multiplikative faktor, der bruges i stedet for 1024. Dette tilvalg indebærer -M.

-M, --multi-volume
    Opret/vis/udpak et flerdelarkiv.

--rmt-command=KOMMANDO
    Brug COMMAND i stedet for rmt når eksterne arkiver tilgås. Se beskrivelsen af tilvalget -f ovenfor.

--rsh-command=KOMMANDO
    Brug KOMMANDO i stedet for rsh når eksterne arkiver tilgås. Se beskrivelsen af tilvalget -f ovenfor.

--volno-file=FIL
    Når dette tilvalg bruges sammen med --multi-volume, vil tar holde styr på hvilke delarkiver for et flerdelarkiv det arbejder på i FIL.

  Blokhåndtering

-B, --blocking-factor=BLOKKE
    Angiv poststørrelse som BLOKKEx512 byte.

-B, --read-full-records
    Når der vises eller udtrækkes, så accepter ufuldstændige poster efter slut-på-fil-markør.

-i, --ignore-zeros
    Ignore zeroed blocks in archive. Normally two consecutive 512-blocks filled with zeroes mean EOF and tar stops reading after encountering them. This option instructs it to read further and is useful when reading archives created with the -A option.

--record-size=NUMMER
    Angiv poststørrelse. NUMMER er antallet af byte per post. Det skal gå op i 512. Det kan have et suffiks med size suffix, f.eks. --record-size=10K, for 10 kilobyte. Se underafsnittet Size suffixes, for en liste over gyldige suffikser.

  Valg af arkivformat

-H, --format=FORMAT
    Opret et arkiv med det angivne format. Gyldige formater er:

    gnu Format fra GNU tar 1.13.x

    oldgnu
        GNU-format for tar <= 1.12.

    pax, posix
        POSIX 1003.1-2001 (pax) format.

    ustar
        POSIX 1003.1-1988 (ustar) format.

    v7  Gammelt V7-format.

--old-archive, --portability
    Samme som --format=v7.

--pax-option=nøgleord[[:]=værdi][,nøgleord[[:]=værdi]]...
    Kontroller pax-nøgleord når PAX-arkiver oprettes (-H pax). Dette tilvalg svarer til tilvalget -o for redskabet pax(1).

--posix
    Samme som --format=posix.

-V, --label=TEKST
    Opret et arkiv med delarkivnavnet TEKST. Ved visning/udpakning er TEKST et skalmønster (»globbing«) for delarkivnavn.

  Komprimeringsflag

-a, --auto-compress
    Brug arkivsuffix til at bestemme komprimeringsprogrammet.

-I, --use-compress-program=KOMMANDO
    Filtrer data med KOMMANDO. Skal acceptere tilvalget -d), for dekompression. Argumentet kan indeholde kommandolinjetilvalg.

-j, --bzip2
    Filtrer arkivet igennem bzip2(1).

-J, --xz
    Filtrer arkivet igennem xz(1).

--lzip
    Filtrer arkivet igennem lzip(1).

--lzma
    Filtrer arkivet igennem lzma(1).

--lzop
    Filtrer arkivet igennem lzop(1).

--no-auto-compress
    Brug ikke arkivsuffix til at bestemme komprimeringsprogrammet.

-z, --gzip, --gunzip, --ungzip
    Filtrer arkivet igennem gzip(1).

-Z, --compress, --uncompress
    Filtrer arkivet igennem compress(1).

--zstd
    Filtrer arkivet igennem zstd(1).

  Lokalt filvalg

--add-file=FIL
    Tilføj angivet FIL til arkivet (brugbart hvis FIL begynder med "-").

--backup[=KONTROL]
    Lav sikkerhedskopier før fjernelse. Argumentet KONTROL, hvis angivet, kontrollerer sikkerhedskopieringens politik. Dets gyldige værdier er:

    none, off
        Lav aldrig sikkerhedskopier.

    t, numbered
        Lav nummererede sikkerhedskopier.

    nil, existing
        Nummererede, dersom nummererede sikkerhedskopier eksisterer, ellers simple.

    never, simple
        Lav altid simple sikkerhedskopier
    Hvis KONTROL ikke er angivet, så tages værdien fra miljøvariablen VERSION_CONTROL. Hvis denne ikke er angivet, så bruges existing.

-C, --directory=MAPPE
    Ændr til MAPPE før udførelse af en operation. Dette tilvalg er sensitiv for rækkefølgen, dvs. det påvirker alle efterføglende tilvalg.

--exclude=MØNSTER
    Udelad filer som matcher MØNSTER, et jokertegnmønster i glob(3)-stil.

--exclude-backups
    Udelad sikkerhedskopier og låsefiler.

--exclude-caches
    Udelad indholdet i kataloger som indeholder CACHEDIR.TAG, undtagen mærkefilen CACHEDIR.TAG selv.

--exclude-caches-all
    Udelad mapper indeholdende fil CACHEDIR.TAG og selve filen.

--exclude-caches-under
    Udelad alt i kataloger som indeholder CACHEDIR.TAG

--exclude-ignore=FIL
    Før dumpning af en mappe, se om den indeholder FIL. Hvis det er tilfældet, så læs undtagelsesmønstre fra denne fil. Mønstrene påvirker kun selve mappen.

--exclude-ignore-recursive=FIL
    Samme som --exclude-ignore, med undtagelse af at mønstre fra FIL påvirker både mappen og alle dens undermapper.

--exclude-tag=FIL
    Udelad indholdet i kataloger som indeholder FIL, undtagen FIL selv.

--exclude-tag-all=FIL
    Udelad kataloger som indeholder FIL.

--exclude-tag-under=FIL
    Udelad alting i kataloger som indeholder FIL.

--exclude-vcs
    Udelad kataloger fra versionshåndteringssystemer.

--exclude-vcs-ignores
    Udeluk filer der matcher mønstre læst fra VCS-specifikke ignore-filer. Understøttede filer er: .cvsignore, .gitignore, .bzrignore og .hgignore.

-h, --dereference
    Følg symbolske lænker, arkiver filerne de peger på.

--hard-dereference
    Følg hårde lænker, arkiver filerne de peger på.

-K, --starting-file=MEDLEM
    Begynd ved det angivne medlem i arkivet.

--newer-mtime=DATO
    Arbejde på filer hvis data ændrede sig efter DATO. Hvis DATO starter med / eller . så antages det at være et filnavn; mtime for den fil bruges som datoen.

--no-null
    Fjern effekten af foregående --null flag.

--no-recursion
    Gå ikke ned i kataloger automatisk.

--no-unquote
    Afciter ikke inddata fil eller medlemsnavne.

--no-verbatim-files-from
    Opfat hver læst linje fra en filliste som den blev leveret via kommandolinjen. Det vil sige foranstillede og bagvedstillede mellemrum fjernes og, hvis strengen begynder med en skråstreg derefter, så opfattes den som et tar-kommandolinjetilvalg. Dette er standardopførelsen. Tilvalget --no-verbatim-files-from leveres som en måde at gendanne den efter tilvalget --verbatim-files-from. Dette tilvalg er afhængig af position: Det påvirker alle --files-from-tilvalg der fremgår efterfølgende, indtil --verbatim-files-from-tilvalget eller linjeslut, hvad der nu kommer først. Det er underforstået af tilvalget --no-null.

--null
    Instruer efterfølgende -T-tilvalg til at læse null-afsluttede navne ordret (deaktiverer speciel håndtering af navne, der starter med en bindestreg). Se også --verbatim-files-from.

-N, --newer=DATO, --after-date=DATO
    Lagr kun filer nyere end DATO. Hvis DATO starter med / eller . så antages det for at være et filnavn; mtime for den fil bruges som datoen.

--one-file-system
    Skift ikke filsystem når arkivet oprettes.

-P, --absolute-names
    Fjern ikke indledende skråstreger fra filnavne, når arkiver oprettes.

--recursion
    Gå rekursivt ned i kataloger (standardværdi).

--suffix=STRENG
    Lav sikkerhedskopier før fjernelse, erstat den normale sikkerhedskopiendelse. Standardendelsen er ~, hvis ikke ændret med miljøvariablen SIMPLE_BACKUP_SUFFIX.

-T, --files-from=FIL
    Hent navne at udpakke eller oprette fra FIL. Med mindre angivet på anden vis, så skal FIL indeholde en liste med navne adskilt af ASCII LF (det vil sige et navn per linje). Navnene læst håndteres på samme måde som kommandolinjeargumenter. De gennemgår fjernelse af citation og ordopdeling, og enhver streng der starter med en - håndteres som et kommandolinjetilvalg for tar. Hvis denne opførsel ikke ønskes, så kan den fjernes via tilvalget --verbatim-files-from. Tilvalget --null instruerer tar om at navnene i FIL er adskilt af ASCII NUL-tegn, i stedet for LF. Det er nyttigt hvis listen er oprettet af find(1) -print0-prædikat.

--unquote
    Fjern citat fra fil eller medlemsnavne (standard).

--verbatim-files-from
    Opfat hver linje hentet fra en filliste som et filnavn, selv hvis den starter med en bindestreg. Fillister angives med tilvalget --files-from (-T). Standardopførelsen er at håndtere navne angivet i fillister, som var de tastet på kommandolinjen, dvs. ethvert navn startende med en bindestreg opfattes som et tilvalg for tar. Tilvalget --verbatim-files-from deaktiverer denne opførsel. This option affects all --files-from options that occur after it in the command line. Its effect is reverted by the --no-verbatim-files-from option. This option is implied by the --null option. Se også --add-file.

-X, --exclude-from=FIL
    Udelad filer som matcher mønster listet i FIL.

  Filnavnstransformationer

--strip-components=ANTAL
    Fjern ANTAL indledende komponenter fra filnavne ved udpakning.

--transform=UDTRYK, --xform=UDTRYK
    Brug sed's erstatnings-UDTRYK for at transformere filnavne.

  Flag for match af filnavne
Påvirker både ekskluderings- og inkluderingsmønstre.

--anchored
    Mønstre skal matche med begyndelsen på filnavne.

--ignore-case
    Ingen forskel på store og små bogstaver.

--no-anchored
    Mønstre matches efter alle /-er (standardværdi ved ekskludering).

--no-ignore-case
    Match store og små bogstaver forskelligt (standardværdi).

--no-wildcards
    Ordret strengsammenligning.

--no-wildcards-match-slash
    Jokertegn matcher ikke /.

--wildcards
    Brug jokertegn (standardværdi for ekskludering).

--wildcards-match-slash
    Jokertegn matcher / (standardværdi for ekskludering).

  Informativ udskrift

--checkpoint[=ANTAL]
    Vis forløbsmeddelelser efter hver gruppe af ANTAL poster (standardværdi 10).

--checkpoint-action=HANDLING
    Udfør HANDLING ved hvert kontrolpunkt.

--clamp-mtime
    Only set time when the file is more recent than what was given with --mtime.

--full-time
    Vis fuld opløsning på filtider.

--index-file=FIL
    Send informative meddelelser til FIL.

-l, --check-links
    Vis en meddelelse hvis ikke alle lænker bliver arkiveret.

--no-quote-chars=STRENG
    Citer ikke tegn fra STRENG.

--quote-chars=STRENG
    Citer også tegn i STRENG.

--quoting-style=STIL
    Sæt citatstil for fil og medlemsnavne. Gyldige værdier for STIL er literal, shell, shell-always, c, c-maybe, escape, locale, clocale.

-R, --block-number
    Vis bloknummer i arkivet for hver meddelelse.

--show-omitted-dirs
    Ved visning eller udpakning vises hvert katalog som ikke matcher søgekriterium.

--show-transformed-names, --show-stored-names
    Vis fil- eller arkivnavne efter transformering af tilvalgene --strip og --transform.

--totals[=SIGNAL]
    Skriv samlet antal byte efter arkivet er blevet behandlet. Med et argument - skrives totalt antal byte, når SIGNAL er angivet. Tilladte signaler er: SIGHUP, SIGQUIT, SIGINT, SIGUSR1 og SIGUSR2. The SIG-præfikset kan udelades.

--utc
    Vis filers modificeringstid i UTC.

-v, --verbose
    Verbosely list files processed. Each instance of this option on the command line increases the verbosity level by one. The maximum verbosity level is 3. For a detailed discussion of how various verbosity levels affect tar's output, please refer to GNU Tar Manual, subsection 2.5.2 "The '--verbose' Option".

--warning=NØGLEORD
    Aktiver eller deaktiver advarselsbeskeder identificeret af NØGLEORD. Beskederne undertrykkes hvis NØGLEORD har præfikset no- og er ellers aktiveret. Multiple --warning options accumulate. Nøgleord der kontrollerer generel tar-operation:

    all Aktiver alle advarselsbeskeder. Dette er standarden.

    none
        Deaktiver alle advarselsbeskeder.

    filename-with-nuls
        "%s: filnavnet som læstes indeholder nultegn"

    alone-zero-block
        "En enkeltstående nulblok ved %s"

    Nøgleord gældende for tar --create:

    cachedir
        "%s: indeholder et cachekatalog-mærke %s; %s"

    file-shrank
        "%s: Filen formindsket med %s byte, fylder ud med nul"

    xdev
        "%s: fil er på et andet filesystem; ikke arkiveret"

    file-ignored
        "%s: Ukendt filtype; filen blev ignoreret"
        "%s: sokkel ignoreret"
        "%s: dør ignoreret"

    file-unchanged
        "%s: fil er uændret; ikke arkiveret"

    ignore-archive
        "%s: archive cannot contain itself; not dumped"

    file-removed
        "%s: Fil fjernet før vi læste den"

    file-changed
        "%s: Fil ændredes mens vi læste den"

    failed-read
        Undertryk advarsler om filer eller mapper, der ikke kan læses. Dette nøgleord gælder kun hvis brugt sammen med tilvalget --ignore-failed-read.

    Nøgleord gældende for tar --extract:

    existing-file
        "%s: skipper eksisterende fil"

    timestamp
        "%s: usandsynligt gammelt tidsstempel %s"
        "%s: tidsstempel %s er %s sekunder ud i fremtiden"

    contiguous-cast
        "Udpakker sammenhængende filer som almindelige filer"

    symlink-cast
        "Forsøger at udpakke symbolske lænker som hårde lænker"

    unknown-cast
        "%s: Ukendt filtype '%c', udpakket som en almindelig fil"

    ignore-newer
        "Nuværende %s er nyere eller lige så gammel"

    unknown-keyword
        "Ignorerer nøgleord '%s' i udvidet hoved"

    decompress-program
        Kontrollerer uddybende beskrivelse af fejl, der opstår, når der afvikles alternative dekompressionsprogrammer. Denne advarsel er deaktiveret som standard (med mindre --verbose anvendes). Et gængs eksempel på, hvad du kan få med denne advarsel er:
            $ tar --warning=decompress-program -x -f archive.Z
            tar (child): kan ikke afvikle compress: Ingen sådan fil eller mappe
            tar (child): prøver gzip
        Dette betyder at tar først forsøget at dekomprimere archive.Z via compress, og, da det fejlede, skiftede til gzip.

    record-size
        "Poststørrelse = %lu blok"

    Nøgleord der kontrollerer trinvis udtrækning:

    rename-directory
        "%s: Kataloget er blevet omdøbt fra %s"
        "%s: Kataloget er blevet omdøbt"

    new-directory
        "%s: Kataloget er nyt"

    xdev
        "%s: fil er på et andet filesystem: sletter ikke"

    bad-dumpdir
        "Fejlagtigt dumpkatalog: "X" bruges aldrig"

-w, --interactive, --confirmation
    Bed om bekræftelse for hver handling.

  Kompatibilitetsflag

-o  Ved oprettelse det samme som --old-archive; ved udpakning det samme som --no-same-owner.

  Størrelsessuffikser

	Suffiks	Enheder	Tilsvarende byte
	b	Blokke	SIZE x 512
	B	Kilobyte	SIZE x 1024
	c	Byte	SIZE
	G	Gigabyte	SIZE x 1024^3
	K	Kilobyte	SIZE x 1024
	k	Kilobyte	SIZE x 1024
	M	Megabyte	SIZE x 1024^2
	P	Petabyte	SIZE x 1024^5
	T	Terabyte	SIZE x 1024^4
	w	Ord	SIZE x 2

RETURVÆRDI
Tar's exit code indicates whether it was able to successfully perform the requested operation, and if not, what kind of error occurred.

0   Succesfuld afslutning.

1   Some files differ. If tar was invoked with the --compare (--diff, -d) command line option, this means that some files in the archive differ from their disk counterparts. If tar was given one of the --create, --append or --update options, this exit code means that some files were changed while being archived and so the resulting archive does not contain the exact copy of the file set.

2   Fatal fejl. Dette betyder at en fatal, uoprettelig fejl opstod.

Hvis en underproces igangsat af tar blev afsluttet med en afslutningskode anderledes end nul så vil selve tar også afsluttes med denne kode. Dette kan ske, for eksempel, hvis et kompressionstilvalg (f.eks. -z) blev brugt og det eksterne kompressionsprogram fejlede. Et andet eksempel er rmt-fejl under sikkerhedskopiering til en ekstern enhed.

SE OGSÅ
bzip2(1), compress(1), gzip(1), lzma(1), lzop(1), rmt(8), symlink(7), xz(1), zstd(1).

Fuldstændig tar-manual: afvikl info tar eller brug info-tilstanden i emacs(1) til at læse den.

Internetkopier af GNU tar-dokumentationen i diverse formater kan findes på:

https://www.gnu.org/software/tar/manual

FEJLRAPPORTER
Rapporter programfejl til <bug-tar@gnu.org>. Oversættelsesfejl rapporteres til <dansk@dansk-gruppen.dk>.

OPHAVSRET
Copyright © 2023 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <http://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.